Subject: Re: compact flash driver

From: mcr <[email-masked]>
Date: Fri, 28 Oct 2005 10:42:54 -0400

-----BEGIN PGP SIGNED MESSAGE-----

>>>>> "Alex" == Alex Zeffertt <[email-masked]> writes:
    >> Hello All, Are there any compact flash driver supported for Linux
    >> 2.6? If there is where can i get the source code.  Thanks, Bizhan
    >> 

    Alex> I think that CF cards just get treated the same as any other
    Alex> IDE disk by linux.  No special driver needed.

  Yes. There are some gotchas with newer pcmcia/cardbus flash cards.
For instance, Silicon Systems devices claim to support IORDY, but don't,
which results in a system hang.  I imagine that the same kind of things
will show up in newer CF devices, although I think that CF can't support
DMA.
  It also depends upon how you interface CF: via an IDE controller, or
via a cardbus interface.

  I expect to have a git tree with stuff available soon.

- -- 
]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson,    Xelerance Corporation, Ottawa, ON    |net architect[
] [email-masked]      http://www.sandelman.ottawa.on.ca/mcr/ |device driver[
] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [